Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.gena
Class IncomingSubscribeRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage
              org.teleal.cling.model.message.gena.IncomingSubscribeRequestMessage

    public class IncomingSubscribeRequestMessage

extends StreamRequestMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingSubscribeRequestMessage(StreamRequestMessage source, LocalService service)`

Method Summary
`List<URL>` | `getCallbackURLs()`
`Integer` | `getRequestedTimeoutSeconds()`
`LocalService` | `getService()`
`String` | `getSubscriptionId()`
`boolean` | `hasNotificationHeader()`

Methods inherited from class org.teleal.cling.model.message.StreamRequestMessage
`getUri`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingSubscribeRequestMessage

    public IncomingSubscribeRequestMessage(StreamRequestMessage source,
                                           LocalService service)

Method Detail

### getService

    public LocalService getService()

### getCallbackURLs

    public List<URL> getCallbackURLs()

### hasNotificationHeader

    public boolean hasNotificationHeader()

### getRequestedTimeoutSeconds

    public Integer getRequestedTimeoutSeconds()

### getSubscriptionId

    public String getSubscriptionId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.